enum RelationshipType {
  FAMILY
  SPOUSE
  FRIEND
  OTHER
}

type EmergencyContact @table(name: "emergecyContacts") {
  id: UUID! @default(expr: "uuidV4()")
  name: String!
  phone: String!
  relationship: RelationshipType!
  staffId: UUID!
  createdAt: Timestamp @default(expr: "request.time")
  updatedAt: Timestamp @default(expr: "request.time")
  createdBy: String
}
